cURL
curl -X PATCH "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/days/{planMomentId}" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: [{lang: 'en', value: 'Day 1'}, {lang: 'nl', value: 'Dag 1'}],
description: [{lang: 'en', value: 'Day 1'}, {lang: 'nl', value: 'Dag 1'}]
})
};
fetch('https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/days/{planMomentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/days/{planMomentId}"
payload = {
"name": [
{
"lang": "en",
"value": "Day 1"
},
{
"lang": "nl",
"value": "Dag 1"
}
],
"description": [
{
"lang": "en",
"value": "Day 1"
},
{
"lang": "nl",
"value": "Dag 1"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)Plan days
Update a day of the client's assigned plan
Update a day (plan moment) of the client’s assigned plan. Only provided fields change; omitted fields keep existing values. Duplicate dayOrder is rejected when order is changed.
Requires the workout_client_plans:write scope and the corresponding Workout features and permissions.
The clientId path parameter identifies a client in the company bound to the Public API token.
PATCH
/
public
/
v1
/
workout
/
clients
/
{clientId}
/
plans
/
template
/
{templateId}
/
days
/
{planMomentId}
cURL
curl -X PATCH "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/days/{planMomentId}" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: [{lang: 'en', value: 'Day 1'}, {lang: 'nl', value: 'Dag 1'}],
description: [{lang: 'en', value: 'Day 1'}, {lang: 'nl', value: 'Dag 1'}]
})
};
fetch('https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/days/{planMomentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/days/{planMomentId}"
payload = {
"name": [
{
"lang": "en",
"value": "Day 1"
},
{
"lang": "nl",
"value": "Dag 1"
}
],
"description": [
{
"lang": "en",
"value": "Day 1"
},
{
"lang": "nl",
"value": "Dag 1"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)Authorizations
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
Required string length:
1 - 200Example:
"booking-create-20260714-001"
Path Parameters
Body
application/json
Response
Day updated. Returns the standard response envelope without a data property.